# © 2019 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, models, fields


class PyloteWebsite(models.Model):
    _inherit = 'website'

    latest_news_ids = fields.One2many(
        'blog.post', 
        compute="_compute_latest_news_ids",
        string='Latest News')
    
    @api.one
    def _compute_latest_news_ids(self):
        self.latest_news_ids = self.env['blog.post'].search([("website_published", "=", True)], limit=6, order='published_date desc')